> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Dashboard URL

> Create a post-authorization URL that launches Junction Dashboard for an App Embed member.

<Info>
  [Junction Management API](/api-details/junction-management-api) is available for [the Scale plan](https://tryvital.io/pricing).
</Info>

<Tip>
  The base URL of this endpoint is `https://api.management.junction.com/`.

  The endpoint accepts only [Management Key](/api-details/junction-management-api#authentication) (`X-Management-Key`).
  Team API Key is not accepted.
</Tip>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://api.management.junction.com/v1/org/{org_id}/ehr_integration/create_dashboard_url \
    --header 'Content-Type: application/json' \
    --header 'X-Management-Key: <management-key>' \
    --data '{
      "integration_member_id": "user_456",
      "integration_team_id": "clinic_123",
      "modality": "feature_embed",
      "feature": "order_creation",
      "environment": "sandbox"
    }'
  ```
</RequestExample>


## OpenAPI

````yaml post /v1/org/{org_id}/ehr_integration/create_dashboard_url
openapi: 3.1.0
info:
  title: Org Management
  version: 0.1.0
servers:
  - url: https://api.management.junction.com
    description: Production Management API server
security:
  - ManagementKey: []
paths:
  /v1/org/{org_id}/ehr_integration/create_dashboard_url:
    post:
      tags:
        - EHR Integration
      summary: Create Dashboard Url
      operationId: >-
        create_dashboard_url_v1_org__org_id__ehr_integration_create_dashboard_url_post
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDashboardURLBody'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateDashboardURLResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateDashboardURLBody:
      properties:
        member_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Member Id
        integration_member_id:
          anyOf:
            - type: string
              maxLength: 256
            - type: 'null'
          title: Integration Member Id
        team_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Team Id
        integration_team_id:
          anyOf:
            - type: string
              maxLength: 256
            - type: 'null'
          title: Integration Team Id
        feature:
          type: string
          title: Feature
        modality:
          type: string
          enum:
            - feature_embed
            - link_out
          title: Modality
        environment:
          $ref: '#/components/schemas/Env'
      type: object
      required:
        - feature
        - modality
        - environment
      title: CreateDashboardURLBody
    CreateDashboardURLResponse:
      properties:
        url:
          type: string
          minLength: 1
          format: uri
          title: Url
        expires_in:
          type: integer
          title: Expires In
      type: object
      required:
        - url
        - expires_in
      title: CreateDashboardURLResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Env:
      type: string
      enum:
        - production
        - sandbox
      title: Env
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ManagementKey:
      type: apiKey
      in: header
      name: X-Management-Key

````